.sidebar-class * {
    margin: 0;
}

#sidebar {
    z-index: 200;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow-y: scroll;
    transform: translateX(-248px);
    transition: transform var(--transitionTime) var(--standardTransitionFunction);

    background-color: var(--white);
    box-shadow: 0px 4px 13px rgba(0, 0, 0, 0.09);
    width: 248px;
    padding: 24px 12px;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
}

.sidebar-logo-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: 12px;
    margin-right: 8px;
}

.sidebar-logo-container #logo {
    height: 40px;
}

.sidebar-items-container {
    margin-top: 24px;
}

/* Sidebar Item */
.sidebar-item-container {
    border-radius: 6px;
    margin-bottom: 8px;
}

.sidebar-item-container.selected-section {
    box-shadow: 0px 0px 3px 0px #07294426, 0px 5px 20px 0px #0000000A, 0px 1px 4px 0px #0000001A;
}

/* Sidebar Item Header */
.sidebar-item-header {
    position: relative;
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 8px 12px;
    user-select: none;
}

a.sidebar-item-header {
    color: var(--black);
    text-decoration: none;
}

.sidebar-item-header p {
    margin-left: 12px;
    font-size: 16px;
    font-weight: 600;
}

.sidebar-item-header *:last-child {
    margin-left: auto;
}

.sidebar-item-header p:last-child {
    color: var(--borderGray);
}

.sidebar-item-container.current-page .sidebar-item-header p:last-child {
    color: var(--lightBlue);
}

/* Sidebar Item Links */
.sidebar-item-links {
    padding: 0px 8px 8px 8px;
    display: none;
}

.sidebar-item-links > a,
#referral-button {
    display: block;
    color: var(--black);
    padding: 6px 0px 6px 36px;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    cursor: pointer;
    transition: background-color var(--transitionTime) var(--standardTransitionFunction);
    font-family: 'Gilroy';
}

.sidebar-empty-message {
    margin-left: 36px;
    color: var(--gray);
}

.sidebar-item-links > a:hover, .need-help-button .sidebar-item-header:hover, #referral-button:hover {
    background-color: var(--bodyBackgroundColor);
    text-decoration: none;
}

.sidebar-item-links > a.current-page, .sidebar-item-container.current-page {
    color: var(--lightBlue);
    background-color: var(--fadedBlue);
    border: var(--thinBorderWidth) solid var(--lightBlue);
    border-radius: 6px;
}

.sidebar-horizontal-line {
    margin-bottom: 8px;
}

/* Need Help Button */
.need-help-button {
    text-decoration: none !important;
    color: var(--black);
    border-radius: 6px;
}

#referral-button {
    background-color: transparent;
    width: 100%;
    text-align: left;
    background: linear-gradient(135deg, rgba(102, 126, 234, 0.2) 0%, rgba(118, 75, 162, 0.36) 100%);
    border-radius: 5px;
}

/* Notification */
.nav-notification-warning {
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    background-color: var(--mediumOrange);
    top: 0px;
    right: 0px;
}

.sidebar-item-links > a.has-notification:not(.current-page) {
    color: var(--mediumOrange);
}

@media screen and (min-width: 1024px) {
    #sidebar {
        transform: translateX(0px);
    }
}

[class^="reditus-"] {
    z-index: 200 !important;
}